package androidx.constraintlayout.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.View;
import androidx.constraintlayout.widget.ConstraintLayout;

public class Guideline extends View {
    public Guideline(Context context) {
        super(context);
        super.setVisibility(8);
    }

    public void draw(Canvas canvas) {
    }

    public void onMeasure(int i, int i2) {
        setMeasuredDimension(0, 0);
    }

    public void setGuidelineBegin(int i) {
        ConstraintLayout.C0140 k = (ConstraintLayout.C0140) getLayoutParams();
        k.f1041 = i;
        setLayoutParams(k);
    }

    public void setGuidelineEnd(int i) {
        ConstraintLayout.C0140 k = (ConstraintLayout.C0140) getLayoutParams();
        k.f1038 = i;
        setLayoutParams(k);
    }

    public void setGuidelinePercent(float f) {
        ConstraintLayout.C0140 k = (ConstraintLayout.C0140) getLayoutParams();
        k.f1006 = f;
        setLayoutParams(k);
    }

    public void setVisibility(int i) {
    }

    public Guideline(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        super.setVisibility(8);
    }

    public Guideline(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        super.setVisibility(8);
    }

    public Guideline(Context context, AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i);
        super.setVisibility(8);
    }
}
